%global pkg_name language-javascript

Name:           ghc-%{pkg_name}
Version:        0.5.13
Release:        1%{?dist}
Summary:        Parser for JavaScript

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  happy
BuildRequires:  alex
# End cabal-rpm deps

%description
Parses Javascript into an Abstract Syntax Tree (AST). Initially intended as
frontend to hjsmin.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the development files for
the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Sun May 11 2014 Ricky Elrod <relrod@redhat.com> - 0.5.13-1
- Latest upstream release.

* Thu Apr 10 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.12-1
- Latest upstream release.
- Remove old patch.

* Mon Jan 20 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-5
- Another rebuild.

* Sun Jan 19 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-4
- Rebuild for ghc-utf8-light.

* Mon Dec 30 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-3
- Rebuild for new hjsmin.

* Thu Nov  7 2013 Jens Petersen <petersen@redhat.com> - 0.5.8-2
- add BangPatterns patch from Debian for secondary arch's (#1027169)

* Tue Sep 17 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-1
- Latest upstream release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.7-2
- Remove a note from the description.

* Mon Jul  8 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.5.7-1
- spec file generated by cabal-rpm-0.8.2
